NetApp Volumes
Returns whether this upload chunk has already been sent
Returns whether this upload chunk has already been sent, which is useful for resuming uploads
GET
/
remotefs
/
v1
/
volumes
/
{id}
/
uploads
/
status
Returns whether this upload chunk has already been sent
curl --request GET \
--url https://mycluster.domino.tech/remotefs/v1/volumes/{id}/uploads/statusimport requests
url = "https://mycluster.domino.tech/remotefs/v1/volumes/{id}/uploads/status"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/remotefs/v1/volumes/{id}/uploads/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/remotefs/v1/volumes/{id}/uploads/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/remotefs/v1/volumes/{id}/uploads/status"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/remotefs/v1/volumes/{id}/uploads/status")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/remotefs/v1/volumes/{id}/uploads/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"message": "Bad Request",
"success": false
}{
"message": "Bad Request",
"success": false
}{
"message": "Bad Request",
"success": false
}{
"message": "Bad Request",
"success": false
}Path Parameters
Volume ID
Query Parameters
Number of the current chunk
Total number of chunks of the file to upload
Unique identifier for the file to upload
Unique identifier for this upload session
Checksum of the file to upload
Response
Chunk has already been uploaded
Last modified on October 8, 2026
Was this page helpful?
⌘I
Returns whether this upload chunk has already been sent
curl --request GET \
--url https://mycluster.domino.tech/remotefs/v1/volumes/{id}/uploads/statusimport requests
url = "https://mycluster.domino.tech/remotefs/v1/volumes/{id}/uploads/status"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/remotefs/v1/volumes/{id}/uploads/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/remotefs/v1/volumes/{id}/uploads/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/remotefs/v1/volumes/{id}/uploads/status"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/remotefs/v1/volumes/{id}/uploads/status")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/remotefs/v1/volumes/{id}/uploads/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"message": "Bad Request",
"success": false
}{
"message": "Bad Request",
"success": false
}{
"message": "Bad Request",
"success": false
}{
"message": "Bad Request",
"success": false
}